org.apache.lucene.index

## Class FilterLeafReader.FilterFields

- java.lang.Object
- - org.apache.lucene.index.Fields
  - - org.apache.lucene.index.FilterLeafReader.FilterFields

- All Implemented Interfaces:
    Iterable<String>
  Direct Known Subclasses:
    MappedMultiFields
  Enclosing class:
    FilterLeafReader

      public abstract static class FilterLeafReader.FilterFields
      extends Fields

  Base class for filtering `Fields` implementations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Fields` | `in` The underlying Fields instance.

    - ### Fields inherited from class org.apache.lucene.index.Fields

      `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterFields(Fields in)` Creates a new FilterFields.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<String>` | `iterator()` Returns an iterator that will step through all fields names.
    `int` | `size()` Returns the number of fields or -1 if the number of distinct field names is unknown.
    `Terms` | `terms(String field)` Get the `Terms` for this field.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### in

          protected final Fields in

      The underlying Fields instance.

  - ### Constructor Detail

    - #### FilterFields

          public FilterFields(Fields in)

      Creates a new FilterFields.
      Parameters:
        `in` - the underlying Fields instance.

  - ### Method Detail

    - #### iterator

          public Iterator<String> iterator()

      Description copied from class: `Fields`
      Returns an iterator that will step through all fields names. This will not return null.
      Specified by:
        `iterator` in interface `Iterable<String>`
      Specified by:
        `iterator` in class `Fields`

    - #### terms

          public Terms terms(String field)
                      throws IOException

      Description copied from class: `Fields`
      Get the `Terms` for this field. This will return null if the field does not exist.
      Specified by:
        `terms` in class `Fields`
      Throws:
        `IOException`

    - #### size

          public int size()

      Description copied from class: `Fields`
      Returns the number of fields or -1 if the number of distinct field names is unknown. If >= 0, `Fields.iterator()` will return as many field names.
      Specified by:
        `size` in class `Fields`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.